| eRPC Generator (erpcgen) Rev. 1.8.1 NXP Semiconductors

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | List of all members
erpcgen::Group Class Reference

An interface that contains functions. More...

`#include <Group.h>`

## Public Types
typedef std::vector< Interface * > | interface_list_t
typedef std::vector< Symbol * > | symbols_list_t
typedef std::map< Symbol *, std::set< _param_direction > > | symbol_directions_map_t

## Public Member Functions
| Group (const std::string name)
| Constructor. More...
const std::string & | getName () const
| This function returns the group name. More...
void | addInterface (Interface *iface)
| This function will add pointer to interface into vector of group interfaces. More...
const interface_list_t & | getInterfaces () const
| This function returns vector with pointers to interfaces belonging to the group. More...
void | addDirToSymbolsMap (Symbol *symbol, _param_direction dir)
| This function will add direction for specified symbol held in a symbol map. More...
const std::set< _param_direction > | getSymbolDirections (Symbol *symbol) const
| This function returns set with symbol directions. More...
const symbols_list_t & | getSymbols () const
| This function returns vector with symbols. More...
void | setTemplate (cpptempl::data_map groupTemplate)
| This function will set group template. More...
cpptempl::data_map & | getTemplate ()
| This function returns group template. More...
std::string | getDescription () const
| This function returns description about the interface. More...

## Detailed Description

An interface that contains functions.

## Member Typedef Documentation

typedef std::vector<Interface *> erpcgen::Group::interface_list_t

Vector of interfaces belongs to group.

typedef std::map<Symbol *, std::set<_param_direction> > erpcgen::Group::symbol_directions_map_t

Map symbol with direction in which is used in current group.

typedef std::vector<Symbol *> erpcgen::Group::symbols_list_t

Vector of symbols belongs to group.

## Constructor & Destructor Documentation

erpcgen::Group::Group | ( | const std::string | name | ) |
| inline

Constructor.

Parameters

  [in] | name | Group name.

## Member Function Documentation

void Group::addDirToSymbolsMap | ( | Symbol * | symbol,
|  | _param_direction | dir
| ) |  |

This function will add direction for specified symbol held in a symbol map.

Parameters

  [in] | symbol | Symbol for which direction should be added.
  [in] | dir | Direction of the symbol.

void Group::addInterface | ( | Interface * | iface | ) |

This function will add pointer to interface into vector of group interfaces.

Parameters

  [in] | iface | Pointer to interface.

string Group::getDescription | ( |  | ) | const

This function returns description about the interface.

Returns
  String description about interface.

See also
  std::string Function::getDescription() const
  std::string AliasType::getDescription() const
  std::string EnumMember::getDescription() const
  std::string EnumType::getDescription() const
  std::string StructMember::getDescription() const
  std::string StructType::getDescription() const
  std::string VoidType::getDescription() const
  std::string ArrayType::getDescription() const
  std::string ListType::getDescription() const

const interface_list_t& erpcgen::Group::getInterfaces | ( |  | ) | const
| inline

This function returns vector with pointers to interfaces belonging to the group.

Returns
  Vector with pointers to interfaces belonging to the group.

const std::string& erpcgen::Group::getName | ( |  | ) | const
| inline

This function returns the group name.

Returns
  String with the group name.

const set< _param_direction > Group::getSymbolDirections | ( | Symbol * | symbol | ) | const

This function returns set with symbol directions.

Parameters

  [in] | symbol | Symbol which direction set should be returned.

Returns
  Set with symbol directions.

const symbols_list_t& erpcgen::Group::getSymbols | ( |  | ) | const
| inline

This function returns vector with symbols.

Unique symbols are added into vector within addDirToSymbolsMap() function.

Returns
  Vector with pointers to symbols.

cpptempl::data_map& erpcgen::Group::getTemplate | ( |  | ) |
| inline

This function returns group template.

Returns
  Data map with group template.

void Group::setTemplate | ( | cpptempl::data_map | groupTemplate | ) |

This function will set group template.

Parameters

  [in] | groupTemplate | Group template defined as data map.

The documentation for this class was generated from the following files:

- Group.h
- Type.cpp